For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cost Category Jira Project Mapping

Cost Category Jira Project Mapping CRUD APIs.

Bulk sync cost category jira project mappings

put

Bulk sync cost category jira project mappings. This syncs the database to match the provided list by creating new mappings, updating existing ones, and deleting mappings not in the list.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CostCategoryJiraMapping[]
uuidstringOptional
accountIdstringOptional
costCategoryNamestringOptional
costBucketNamestringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation/cost-category/jira-mapping/bulk
PUT /gateway/ccm/api/recommendation/cost-category/jira-mapping/bulk?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 347

[
  {
    "uuid": "text",
    "accountId": "text",
    "costCategoryName": "text",
    "costBucketName": "text",
    "jiraProjectDetails": {
      "projectId": "text",
      "projectName": "text"
    },
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List all cost category jira project mapping

get

List all cost category jira project mapping

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/cost-category/jira-mapping
GET /gateway/ccm/api/recommendation/cost-category/jira-mapping?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create cost category jira project mapping

post

Create cost category jira project mapping

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
accountIdstringOptional
costCategoryNamestringOptional
costBucketNamestringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/recommendation/cost-category/jira-mapping
POST /gateway/ccm/api/recommendation/cost-category/jira-mapping?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 345

{
  "uuid": "text",
  "accountId": "text",
  "costCategoryName": "text",
  "costBucketName": "text",
  "jiraProjectDetails": {
    "projectId": "text",
    "projectName": "text"
  },
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get cost category jira project preference by ID

get

Get cost category jira project preference by ID

Path parameters
mappingIdstringRequired

Mapping ID

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/cost-category/jira-mapping/{mappingId}
GET /gateway/ccm/api/recommendation/cost-category/jira-mapping/{mappingId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update cost category jira project mapping

put

Update cost category jira project mapping

Path parameters
mappingIdstringRequired

Mapping ID

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
accountIdstringOptional
costCategoryNamestringOptional
costBucketNamestringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation/cost-category/jira-mapping/{mappingId}
PUT /gateway/ccm/api/recommendation/cost-category/jira-mapping/{mappingId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 345

{
  "uuid": "text",
  "accountId": "text",
  "costCategoryName": "text",
  "costBucketName": "text",
  "jiraProjectDetails": {
    "projectId": "text",
    "projectName": "text"
  },
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete cost category jira project mapping

delete

Delete cost category jira project mapping

Path parameters
mappingIdstringRequired

Preference ID

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/recommendation/cost-category/jira-mapping/{mappingId}
DELETE /gateway/ccm/api/recommendation/cost-category/jira-mapping/{mappingId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?